Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.hust.go.term
Class OboXmlGo_term

    java.lang.Object
      |
      +--edu.hust.go.term.DefaultGO_term
            |
            +--edu.hust.go.term.OboXmlGo_term

All Implemented Interfaces:
  java.lang.Cloneable, GO_term

public class OboXmlGo_term
extends DefaultGO_term

Nested Class Summary
`(package private) class` | `OboXmlGo_term.Def`
`(package private) class` | `OboXmlGo_term.Synonym`

Field Summary
`(package private) java.util.Vector` | `alt_id`
`(package private) java.lang.String` | `comment`
`(package private) OboXmlGo_term.Def` | `definition`
`(package private) java.util.Vector` | `intersection_of`
`(package private) boolean` | `is_anonymous`
`(package private) boolean` | `is_obsolete`
`(package private) boolean` | `is_root`
`(package private) java.lang.String` | `lexical_category`
`(package private) java.lang.String` | `namespace`
`(package private) java.util.Vector` | `relationship`
`(package private) java.util.Vector` | `subset`
`(package private) java.util.Vector` | `synonym`
`(package private) java.util.Vector` | `union_of`
`(package private) java.util.Vector` | `xref_analog`
`(package private) java.util.Vector` | `xref_unknown`

Fields inherited from class edu.hust.go.term.DefaultGO_term
`def, id, is_a, name, part_of`

Constructor Summary
`OboXmlGo_term(org.w3c.dom.Document doc)`

Method Summary
`java.util.Vector` | `getAlt_id()`
`java.lang.String` | `getComment()`
`OboXmlGo_term.Def` | `getDefinition()`
`java.util.Vector` | `getIntersection_of()`
`java.lang.String` | `getLexical_category()`
`java.lang.String` | `getNamespace()`
`java.util.Vector` | `getRelationship()`
`java.util.Vector` | `getSubset()`
`java.util.Vector` | `getSynonym()`
`java.util.Vector` | `getUnion_of()`
`java.util.Vector` | `getXref_analog()`
`java.util.Vector` | `getXref_unknown()`
`boolean` | `isIs_anonymous()`
`boolean` | `isIs_obsolete()`
`boolean` | `isIs_root()`
`(package private) boolean` | `setBool(org.w3c.dom.Document doc, CachedXPathAPI xpath, java.lang.String xqueryStr)`
`(package private) java.util.Vector` | `setRelationship(org.w3c.dom.Document doc, CachedXPathAPI xpath, java.lang.String xqueryStr)`
`(package private) java.util.Vector` | `setSynonym(org.w3c.dom.Document doc, CachedXPathAPI xpath)`
`(package private) java.util.Vector` | `setVector(org.w3c.dom.Document doc, CachedXPathAPI xpath, java.lang.String xqueryStr)`
`(package private) java.util.Vector` | `setXref(org.w3c.dom.NodeList nodeList, CachedXPathAPI xpath)`

Methods inherited from class edu.hust.go.term.DefaultGO_term
`getDef, getId, getIs_a, getName, getPart_of, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### namespace

    java.lang.String namespace

### definition

    OboXmlGo_term.Def definition

### alt_id

    java.util.Vector alt_id

### subset

    java.util.Vector subset

### comment

    java.lang.String comment

### is_anonymous

    boolean is_anonymous

### is_obsolete

    boolean is_obsolete

### is_root

    boolean is_root

### xref_analog

    java.util.Vector xref_analog

### xref_unknown

    java.util.Vector xref_unknown

### synonym

    java.util.Vector synonym

### relationship

    java.util.Vector relationship

### intersection_of

    java.util.Vector intersection_of

### union_of

    java.util.Vector union_of

### lexical_category

    java.lang.String lexical_category

Constructor Detail

### OboXmlGo_term

    public OboXmlGo_term(org.w3c.dom.Document doc)
                  throws javax.xml.transform.TransformerException

Method Detail

### setVector

    java.util.Vector setVector(org.w3c.dom.Document doc,
                               CachedXPathAPI xpath,
                               java.lang.String xqueryStr)
                         throws javax.xml.transform.TransformerException

    `javax.xml.transform.TransformerException`

### setBool

    boolean setBool(org.w3c.dom.Document doc,
                    CachedXPathAPI xpath,
                    java.lang.String xqueryStr)
              throws javax.xml.transform.TransformerException

    `javax.xml.transform.TransformerException`

### setXref

    java.util.Vector setXref(org.w3c.dom.NodeList nodeList,
                             CachedXPathAPI xpath)
                       throws javax.xml.transform.TransformerException

    `javax.xml.transform.TransformerException`

### setSynonym

    java.util.Vector setSynonym(org.w3c.dom.Document doc,
                                CachedXPathAPI xpath)
                          throws javax.xml.transform.TransformerException

    `javax.xml.transform.TransformerException`

### setRelationship

    java.util.Vector setRelationship(org.w3c.dom.Document doc,
                                     CachedXPathAPI xpath,
                                     java.lang.String xqueryStr)
                               throws javax.xml.transform.TransformerException

    `javax.xml.transform.TransformerException`

### getAlt_id

    public java.util.Vector getAlt_id()

### getComment

    public java.lang.String getComment()

### getDefinition

    public OboXmlGo_term.Def getDefinition()

### getIntersection_of

    public java.util.Vector getIntersection_of()

### isIs_anonymous

    public boolean isIs_anonymous()

### isIs_obsolete

    public boolean isIs_obsolete()

### isIs_root

    public boolean isIs_root()

### getLexical_category

    public java.lang.String getLexical_category()

### getRelationship

    public java.util.Vector getRelationship()

### getNamespace

    public java.lang.String getNamespace()

### getSubset

    public java.util.Vector getSubset()

### getSynonym

    public java.util.Vector getSynonym()

### getUnion_of

    public java.util.Vector getUnion_of()

### getXref_analog

    public java.util.Vector getXref_analog()

### getXref_unknown

    public java.util.Vector getXref_unknown()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD